import 'package:json_annotation/json_annotation.dart';

import '../../bean/character_group_info.dart';

part 'character_group_response.g.dart';

@JsonSerializable()
class CharacterGroupResponse {
  @JsonKey(name: "characterGroups")
  late final List<CharacterGroupInfo> characterGroups;

  CharacterGroupResponse({required this.characterGroups});

  factory CharacterGroupResponse.fromJson(Map<String, dynamic> json) =>
      _$CharacterGroupResponseFromJson(json);
}
